# Sablotron Guide and Reference

SablotGetResultArg | Functions

#### Summary

Gets the result argument.

#### Syntax

    int SablotGetResultArg(SablotHandle processor_,
           const char *argURI,
           char* *argValue);

Name | Type | Description
--- | --- | ---
`processor_` | `SablotHandle` | Processor handle
`argURI` | `const char*` | argument name
`argValue` | `char**` | the result goes here

#### Description

This API is used to pull the data output to the 'arg:' scheme URI location. This happens during the transformation e.g. with `SablotRunProcessorGen`

This function allocates new buffer for you. You have to free its memory with `SablotFree`, after you use it no more.

#### See Also

Groups | [ Functions ]
Entries | [ SablotFree | SablotHandle | SablotRunProcessorGen ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC